/*
 * Custom code goes here.
 * A template should always ship with an empty custom.css
 */

@import url("https://fonts.googleapis.com/css2?family=Cormorant+Garamond:ital,wght@0,700;1,700&display=swap");

:root,
[data-bs-theme="light"] {
  --bs-primary: rgba(0, 0, 0, 1);
  --bs-primary-hover: rgba(0, 0, 0, 0.7);
  --bs-link-color: var(--bs-primary);
  --bs-link-hover-color: var(--bs-primary-hover);
  --bs-link-color-rgb: var(--bs-primary);
  --bs-link-hover-color-rgb: var(--bs-primary-hover);
  --bs-border-radius: 0;
  --bs-border-radius-sm: 0;
  --bs-border-radius-lg: 0;
  --bs-border-radius-xl: 0;
  --bs-border-radius-xxl: 0;
  --bs-border-radius-2xl: var(--bs-border-radius-xxl);
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Cormorant Garamond", serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-style: normal;
}

.section-title,
.page-product .product__infos .accordion-button {
  font-size: 2rem;
}

.product__name {
  font-size: 2.5rem;
}

a:not(.alert-link) {
  text-decoration: underline;
}

a.btn,
#header a,
#footer a,
#left-column a,
#subcategories a,
.breadcrumb a,
.product-miniature a,
.pagination-container a,
.dropdown-menu a,
.modal-footer a,
.account-menu a,
.address__actions a,
.cart-summary a {
  text-decoration: none;
}

.footer__main .block-social a {
  color: #fff;
}

.badge {
  --bs-badge-color: var(--bs-primary);
  --bs-badge-border-radius: var(--bs-border-radius);
  background-color: rgba(255, 255, 255, 0.8);
}

.btn {
  --bs-btn-border-radius: var(--bs-border-radius);
}

.btn-link {
  --bs-btn-color: var(--bs-primary);
  --bs-btn-hover-color: var(--bs-primary-hover);
}

.btn-primary {
  --bs-btn-bg: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-bg: var(--bs-primary-hover);
  --bs-btn-hover-border-color: var(--bs-primary-hover);
  --bs-btn-active-bg: var(--bs-primary-hover);
  --bs-btn-active-border-color: var(--bs-primary-hover);
  --bs-btn-disabled-bg: var(--bs-primary);
  --bs-btn-disabled-border-color: var(--bs-primary);
}

.btn-outline-primary {
  --bs-btn-color: var(--bs-primary);
  --bs-btn-border-color: var(--bs-primary);
  --bs-btn-hover-bg: var(--bs-primary);
  --bs-btn-hover-border-color: var(--bs-primary);
  --bs-btn-active-bg: var(--bs-primary);
  --bs-btn-active-border-color: var(--bs-primary);
  --bs-btn-disabled-color: var(--bs-primary);
  --bs-btn-disabled-border-color: var(--bs-primary);
}

.badge,
.custom-checkbox input[type="checkbox"] + span.color,
.variant-links .color,
label .color {
  border-radius: var(--bs-border-radius);
}

.product-miniature__prices {
  margin-top: 8px;
}

.product-miniature .card:hover {
  filter: none;
}

.main-menu {
  justify-content: center;
}

.main-menu__tree__link {
  text-transform: uppercase;
}

.custom-text__content {
  text-align: center;
}

.custom-text__content p {
  max-width: 70em;
  margin-left: auto;
  margin-right: auto;
}

.carousel .carousel-control-next,
.carousel .carousel-control-prev,
.carousel-indicators {
  display: none;
}

.carousel .carousel-item img {
  width: auto;
  height: auto;
  object-fit: none;
}

.carousel .carousel-item .carousel-content > img {
  width: 100%;
  height: var(--slider-img-height);
  object-fit: cover;
  object-position: right -50px top 0;
}

.carousel .carousel-caption {
  max-width: 20rem;
  padding: 8px;
  background-color: rgba(255, 255, 255, 0.7);
}

.carousel .carousel-caption .h2,
.carousel .carousel-caption h2 {
  font-size: 2rem;
}

.carousel .carousel-caption .caption-description .h3,
.carousel .carousel-caption .caption-description h3 {
  font-size: 1.75rem;
}

@media (min-width: 768px) {
  .carousel .carousel-item .carousel-content > img {
    object-position: center top;
  }

  .carousel .carousel-caption {
    background-color: unset;
  }

  .carousel .carousel-caption .h2,
  .carousel .carousel-caption h2 {
    font-size: 2.5rem;
  }

  .carousel .carousel-caption .caption-description .h3,
  .carousel .carousel-caption .caption-description h3 {
    font-size: 2rem;
  }
}

.alert-info {
  --bs-alert-color: #5d4037;
  --bs-alert-bg: #faf6ed;
  --bs-alert-border-color: #c5a059;
  --bs-alert-link-color: #5d4037;
}

.alert-warning {
  --bs-alert-color: #5d4037;
  --bs-alert-bg: #faf6ed;
  --bs-alert-border-color: #c5a059;
  --bs-alert-link-color: #5d4037;
}

.alert-danger {
  --bs-alert-color: #ffffff;
  --bs-alert-bg: #b57e74;
  --bs-alert-border-color: #b57e74;
  --bs-alert-link-color: #ffffff;
}

li.badge.new {
  display: none;
}

.category-tree.left-block {
  display: none;
}

@media (min-width: 768px) {
  .category-tree.left-block {
    display: block;
  }
}

.ps_checkout-payment-option label {
  display: flex !important;
  line-height: 2.5;
}

.blockreassurance_product {
  font-size: 0.875rem;
}

.blockreassurance_product > div {
  margin-bottom: 4px;
  padding: 4px 8px;
  background-color: var(--bs-gray-100);
}

.blockreassurance_product > div.clearfix {
  background-color: unset;
  margin: 0;
}

.blockreassurance_product > div p {
  margin: 0;
}

#cart #ps-checkout-express-button iframe.component-frame {
  z-index: 1;
}
